Bug 506716 - second user in second session can control first user's volume
second user in second session can control first user's volume
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-18 09:08 EDT by Michal Hlavinka
Modified: 2010-04-28 03:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Hlavinka 2009-06-18 09:08:55 EDT
Description of problem:
When user locks screen, second user starts it's own session, changes volume and logs out, the volume is changed even for first user when (s)he comes back.

Real life example: I'm listening an internet radio with volume set low, I lock screen and leave the computer. Second user starts his own session, watching some video with high volume set. When he leaves his session, system switches back to my locked screen and speakers are very loud, because volume was changed by second user.

Version-Release number of selected component (if applicable):
pulseaudio-0.9.15-14.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. log in
2. set volume to 50 %
3. log in as second user
4. set volume to 100 %
5. second user logs out
  
Actual results:
first user has volume set to 100 %

Expected results:
first user has volume set to 50 %

Additional info:
I don't know how this should work... if this is a bug report or feature request
Comment 1 Adam Williamson 2009-10-20 14:56:21 EDT
I think it's a feature request. I'm pretty sure this has always been the case - it'd be the same without PA, as far as I can see, ALSA volume control is not per-user - and I don't think this is something PA has been designed to handle but it's just not working. I think this'd be a fairly significant new feature. Assigning on that basis.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2010-04-27 11:03:18 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.